 Wraps a FontAwesome Icon into a React Component
- FontAwesome Pro requires a license to use pro icons, but [@cseitz](http://github.com/cseitz) is paying for one!
- This package and its subsequent icon packs are a slightly modified copy of the FontAwesome Pro icon packs!

### Icon Packs
All FontAwesome Pro icons are split into icon packs given the style of icon you want.
- Styles: 
[`regular`](https://fontawesome.com/search?o=r&s=regular "▢ Regular icons with empty space in the middle."), 
[`solid`](https://fontawesome.com/search?o=r&s=solid "■ Solid icons that fill their whole shape."), 
[`light`](https://fontawesome.com/search?o=r&s=light "□ Regular icons with thin outlines"), 
[`thin`](https://fontawesome.com/search?o=r&s=thin "▯ Regular icons with very thin outlines"), 
[`brands`](https://fontawesome.com/search?o=r&f=brands "🌐 All the companies and other logos for stuff!"), 
[`duotone`](https://fontawesome.com/search?o=r&s=duotone " Icons with two sections that can be individually colored."), 
[`solid-sharp`](https://fontawesome.com/search?o=r&s=solid&f=sharp "▣ Solid icons without rounded corners, making them more blocky.")

You can install packs via `npm install @cseitz/icons-[STYLE]`
```bash
npm install @cseitz/icons @cseitz/icons-regular
```

Then, import the icon you want using the icon's __kebab case filepath__:
```ts
import { faUserPlus } from '@cseitz/icons-regular/user-plus';
// OR, use the symlink generated by @cseitz/icons (PREFERRED USAGE)
import { faUserPlus } from '@cseitz/icons/regular/user-plus';
// FontAwesome's package import (REQUIRES PAID LICENSE NPM TOKEN TO INSTALL)
import { faUserPlus } from '@fortawesome/pro-regular-svg-icons';
```

Then, wrap it in the `Icon` component and you're good to go!
```tsx
import { Icon } from '@cseitz/icons';

const UserPlusIcon = Icon(faUserPlus);

return <UserPlusIcon />
```

 
### Example
```tsx
import { Icon } from '@cseitz/icons';
import { faGithub } from '@cseitz/icons/brands/github';

const GitHubIcon = Icon(faGithub);

export default function SomeReactComponent() {
    return <div>
        <GitHubIcon />
    </div>
}
```